Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote.ejb
Class ServerApplicationModuleImpl

`java.lang.Object
oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
oracle.jbo.server.remote.ejb.ServerApplicationModuleImpl`

All Implemented Interfaces:
  ApplicationModuleRemoteAdapter, java.util.EventListener, JboExceptionHandler, TransactionStateListener, ViewClearCacheListener, WSApplicationModuleMarshaller

Direct Known Subclasses:
  EJBApplicationModuleImpl

public class ServerApplicationModuleImpl
extends AbstractRemoteApplicationModuleImpl

Field Summary

Fields inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`PROCESS_STATUS_ERROR_FOUND, PROCESS_STATUS_OK`

Fields inherited from interface oracle.jbo.common.ws.WSApplicationModuleMarshaller
`ACTIVATION_AFTER_LOSS_OF_AFFINITY, ACTIVATION_AFTER_RESTART, ACTIVATION_NONE, SYNC_INT_BATCH, SYNC_INT_BATCH_DO_WORK`

Constructor Summary
`ServerApplicationModuleImpl()`

Method Summary
`static ServerApplicationModuleImpl` | `createInstance(java.util.Hashtable sessionEnv, java.lang.String amDefName, TransactionHandlerFactory txnFactory)`
`protected ObjectMarshallerImpl` | `createObjectMarshaller()`
`protected SessionImpl` | `createSession(java.util.Hashtable env)`
`ServiceMessage` | `doMessage(ServiceMessage svcMsg)`
`ServiceMessage` | `doMessagePooled(ServiceMessage svcMsg, SessionCookie cookie)`
`protected void` | `processException(java.lang.Exception ex)`

Methods inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`addException, addMethodReturnValueToMessage, addResponse, afterActivation, bindToWorkingSet, cacheCleared, clearServiceMessage, createApplicationModule, createLocalApplicationModule, createPiggybackManager, createRootApplicationModule, createWorkerApplicationModule, detach, disconnectWithRetainState, dispatchMethod, doneCommit, doneRollback, findApplicationModule, findObject, finishedProcessingPiggyback, finishServiceMessage, finishSyncWorkingSet, getAdaptee, getApplicationModuleDefName, getApplicationModuleInfo, getAppModuleNamesFromResponse, getAppModuleRequestHandler, getClientProxyInterfaceName, getCurrentWorkingSet, getMarshaller, getObjectMarshaller, getOutboundServiceMessage, getPiggyback, getRemoteObjectId, getRequestName, getResponseName, getSvcMsgManager, handleException, handleWarning, hasPendingDataPosts, invokeMethod, marshal, marshalForActivate, pooledSync, processMessage, processPiggyback, processServiceMessage, processSvcMsgRequest, reconnectWithoutForce, releaseAdaptee, remove, sendWorkingSetRequests, setAdaptee, setApplicationModuleDefName, setBoundToWorkingSet, setDataModelRefresh, setMarshaller, setSvcMsgManager, sync, syncMarshaller, syncWorkingSet, txnCreated, txnRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerApplicationModuleImpl

    public ServerApplicationModuleImpl()

Method Detail

### createObjectMarshaller

    protected ObjectMarshallerImpl createObjectMarshaller()

  Overrides:
    `createObjectMarshaller` in class `AbstractRemoteApplicationModuleImpl`

### createInstance

    public static ServerApplicationModuleImpl createInstance(java.util.Hashtable sessionEnv,
                                                             java.lang.String amDefName,
                                                             TransactionHandlerFactory txnFactory)

### doMessagePooled

    public ServiceMessage doMessagePooled(ServiceMessage svcMsg,
                                          SessionCookie cookie)
                                   throws ServiceException

  Throws:
    `ServiceException`

### doMessage

    public ServiceMessage doMessage(ServiceMessage svcMsg)
                             throws ServiceException

  Throws:
    `ServiceException`

### processException

    protected void processException(java.lang.Exception ex)
                             throws RemoteJboException

  Throws:
    `RemoteJboException`

### createSession

    protected SessionImpl createSession(java.util.Hashtable env)

  Overrides:
    `createSession` in class `AbstractRemoteApplicationModuleImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.